OffHeapQuantizedByteVectorValues (Lucene 10.5.0 backward-codecs API)
Description: declaration: package: org.apache.lucene.backward_codecs.lucene99, class: OffHeapQuantizedByteVectorValues

Package org.apache.lucene.backward_codecs.lucene99

# Class OffHeapQuantizedByteVectorValues

java.lang.Object
org.apache.lucene.index.KnnVectorValues
org.apache.lucene.index.ByteVectorValues
org.apache.lucene.util.quantization.BaseQuantizedByteVectorValues
org.apache.lucene.util.quantization.LegacyQuantizedByteVectorValues
org.apache.lucene.backward_codecs.lucene99.OffHeapQuantizedByteVectorValues

All Implemented Interfaces:
  `HasIndexSlice`

Direct Known Subclasses:
  `OffHeapQuantizedByteVectorValues.DenseOffHeapVectorValues`

public abstract class OffHeapQuantizedByteVectorValues extends LegacyQuantizedByteVectorValues
Read the quantized vector values and their score correction values from the index input. This supports both iterated and random access.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `OffHeapQuantizedByteVectorValues.DenseOffHeapVectorValues`
  Dense vector values that are stored off-heap.

  ## Nested classes/interfaces inherited from class org.apache.lucene.index.KnnVectorValues

  `KnnVectorValues.DocIndexIterator`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `dimension()`
  `ScalarQuantizer`
  `getScalarQuantizer()`
  `float`
  `getScoreCorrectionConstant(int targetOrd)`
  `IndexInput`
  `getSlice()`
  `int`
  `getVectorByteLength()`
  `int`
  `size()`
  `byte[]`
  `vectorValue(int targetOrd)`

  ### Methods inherited from class org.apache.lucene.util.quantization.LegacyQuantizedByteVectorValues

  `copy`

  ### Methods inherited from class org.apache.lucene.util.quantization.BaseQuantizedByteVectorValues

  `scorer`

  ### Methods inherited from class org.apache.lucene.index.ByteVectorValues

  `checkField, fromBytes, getEncoding, rescorer, scorer`

  ### Methods inherited from class org.apache.lucene.index.KnnVectorValues

  `createDenseIterator, createSparseIterator, fromDISI, getAcceptOrds, iterator, ordToDoc, prefetch`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getScalarQuantizer

    public ScalarQuantizer getScalarQuantizer()
    Overrides:
      `getScalarQuantizer` in class `LegacyQuantizedByteVectorValues`

  - ### dimension

    public int dimension()
    Specified by:
      `dimension` in class `KnnVectorValues`

  - ### size

    public int size()
    Specified by:
      `size` in class `KnnVectorValues`

  - ### vectorValue

    public byte[] vectorValue(int targetOrd) throws IOException
    Specified by:
      `vectorValue` in class `ByteVectorValues`
    Throws:
      `IOException`

  - ### getScoreCorrectionConstant

    public float getScoreCorrectionConstant(int targetOrd) throws IOException
    Specified by:
      `getScoreCorrectionConstant` in class `LegacyQuantizedByteVectorValues`
    Throws:
      `IOException`

  - ### getSlice

    public IndexInput getSlice()
    Specified by:
      `getSlice` in interface `HasIndexSlice`
    Overrides:
      `getSlice` in class `BaseQuantizedByteVectorValues`

  - ### getVectorByteLength

    public int getVectorByteLength()
    Overrides:
      `getVectorByteLength` in class `KnnVectorValues`